POST /v1/communities
Service: community · operationId: (none)
Required scopes
(no scope declared — review service config)
Request body
{
"type": "object",
"properties": {
"slug": {
"type": "string",
"minLength": 1,
"maxLength": 100
},
"name": {
"type": "string",
"minLength": 1,
"maxLength": 255
},
"description": {
"type": "string"
},
"cover_image_url": {
"type": "string",
"format": "uri"
}
},
"required": [
"slug",
"name"
]
}Responses
201 Community created
{
"type": "object",
"properties": {
"slug": {
"type": "string"
},
"name": {
"type": "string"
},
"description": {
"type": [
"string",
"null"
]
},
"cover_image_url": {
"type": [
"string",
"null"
]
},
"owner_user_id": {
"type": "string"
},
"created_at": {
"type": "string"
}
},
"required": [
"slug",
"name",
"description",
"cover_image_url",
"owner_user_id",
"created_at"
]
}400 Validation error
{
"type": "object",
"properties": {
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"error",
"message"
]
}409 Slug already taken
{
"type": "object",
"properties": {
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"error",
"message"
]
}Example
curl -X POST https://community.platform.loop.health/v1/communities \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{ ... }'Related
services/community— service overview- All endpoints — directory across services
- Auth model — how scopes are enforced